#include <iostream.h>
#include <fstream>
#include "framelist.h"

using namespace std ; 

//
FrameList::FrameList( int numFrames) { 
	fNumFrames = numFrames ; 

	// Allocate the list of free frames. They're numbered from 1-n.
	fFreeList = new int[ fNumFrames] ; 

	for( int i = 0; i < fNumFrames; i++) { 
		fFreeList[i] = Available ; 
	}
}

// 
int FrameList::allocFrame() { 
	int		allocFrame = -1 ; 

	int		curFrame = 0 ; 
	while( curFrame < fNumFrames) { 
		if( fFreeList[ curFrame] == Available) {
			allocFrame = curFrame ; 
			fFreeList[ curFrame] = Used ; 
			break ; 
		}
		curFrame++ ; 
	}

	return allocFrame ; 
}

//
void FrameList::freeFrame( int frame) { 
	return ; 
}
