#ifndef FrameList_H
#define FrameList_H

//
// Class: FrameList
//

class FrameList { 
public:

	FrameList( int numFrames) ; 
	int		getNumFrames() { return fNumFrames ; } 

	// Allocate a frame off the free/available list. 
	// The return value is -1 if there are no free frames
	int allocFrame() ; 

	// Free a frame. Place it back on the free list
	void freeFrame( int frame) ; 

private:
	enum FrameState { Available, Used } ; 

	int		fNumFrames ; 
	int		*fFreeList ; 
} ; 

#endif
